package client.gui.container;

import common.block.tech.BlockWorkbench;
import common.inventory.ContainerWorkbench;
import common.inventory.InventoryPlayer;
import common.util.BlockPos;
import common.world.World;

public class GuiCrafting extends GuiContainer {
	private final BlockWorkbench type;
	
	public GuiCrafting(InventoryPlayer playerInv, World worldIn, BlockWorkbench type) {
		super(new ContainerWorkbench(playerInv, worldIn, BlockPos.ORIGIN, type));
		this.type = type;
		this.ySize = 112 + 18 * this.type.getSize();
	}

	public void drawGuiContainerForegroundLayer() {
		this.drawString("Handwerk (" + this.type.getDisplay() + ")", 26, 6);
		this.drawString("Inventar", 8, this.ySize - 96 + 2);
	}
}
